Package org.eclipse.birt.chart.model.attribute.impl

# Class MultiURLValuesImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.birt.chart.model.attribute.impl.ActionValueImpl
org.eclipse.birt.chart.model.attribute.impl.MultiURLValuesImpl

All Implemented Interfaces:
  `ActionValue`, `MultiURLValues`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`

public class MultiURLValuesImpl extends ActionValueImpl implements MultiURLValues
An implementation of the model object 'Multi URL Values'.

The following features are implemented:

- `URL Values`
- `Tooltip`
- `Properties Map`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Map<String,String>`
`DEFAULT_PROPERTIES_MAP`

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`ELAST_EOBJECT_FLAG`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Method Summary

Modifier and Type
Method
Description
`MultiURLValues`
`copyInstance()`
A convenient method to get an instance copy.
`static MultiURLValues`
`create()`
Returns a new instance of MultiURLValues.
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`void`
`eUnset(int featureID)`
`org.eclipse.emf.common.util.EMap<String,String>`
`getPropertiesMap()`
`String`
`getTooltip()`
`org.eclipse.emf.common.util.EList<URLValue>`
`getURLValues()`
`void`
`setTooltip(String newTooltip)`
`String`
`toString()`

### Methods inherited from class org.eclipse.birt.chart.model.attribute.impl.ActionValueImpl

`basicSetLabel, getLabel, setLabel`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.birt.chart.model.attribute.ActionValue

`getLabel, setLabel`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### DEFAULT_PROPERTIES_MAP

public static final Map<String,String> DEFAULT_PROPERTIES_MAP

## Method Details

### getURLValues

public org.eclipse.emf.common.util.EList<URLValue> getURLValues()

Specified by:
  `getURLValues` in interface `MultiURLValues`
Returns:
  the value of the 'URL Values' containment reference list.
See Also:
  - `AttributePackage.getMultiURLValues_URLValues()`

### getTooltip

public String getTooltip()

Specified by:
  `getTooltip` in interface `MultiURLValues`
Returns:
  the value of the 'Tooltip' attribute.
See Also:
  - `MultiURLValues.setTooltip(String)`
  - `AttributePackage.getMultiURLValues_Tooltip()`

### setTooltip

public void setTooltip(String newTooltip)

Specified by:
  `setTooltip` in interface `MultiURLValues`
Parameters:
  `newTooltip` - the new value of the 'Tooltip' attribute.
See Also:
  - `MultiURLValues.getTooltip()`

### getPropertiesMap

public org.eclipse.emf.common.util.EMap<String,String> getPropertiesMap()

Specified by:
  `getPropertiesMap` in interface `MultiURLValues`
Returns:
  the value of the 'Properties Map' map.
See Also:
  - `AttributePackage.getMultiURLValues_PropertiesMap()`

### eInverseRemove

public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `ActionValueImpl`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `ActionValueImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `ActionValueImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `ActionValueImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `ActionValueImpl`

### toString

public String toString()

Overrides:
  `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### create

public static MultiURLValues create()
Returns a new instance of MultiURLValues.

Returns:

### copyInstance

public MultiURLValues copyInstance()
Description copied from class: `ActionValueImpl`
A convenient method to get an instance copy. This is much faster than the ECoreUtil.copy().

Specified by:
  `copyInstance` in interface `ActionValue`
Specified by:
  `copyInstance` in interface `IChartObject`
Specified by:
  `copyInstance` in interface `MultiURLValues`
Overrides:
  `copyInstance` in class `ActionValueImpl`